﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace Samples6683
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;
            Map1.Background = new SolidColorBrush(Color.FromArgb(255, 156, 187, 216));
            Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);

            ServerLayerOverlay serverLayerOverlay2 = new ServerLayerOverlay("NativeServerWithMsSql", "SilverlightMapConnector1");
            Map1.Overlays.Add(serverLayerOverlay2);

            Map1.Refresh();
        }
    }
}
